package com.fastbee.deviceData.domain;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.fastbee.common.annotation.Excel;
import com.fastbee.common.core.domain.BaseEntity;

/**
 * 气象设备实时数据对象 iot_device_realtimedata_meteorology
 *
 * @author kerwincui
 * @date 2024-11-08
 */
@ApiModel(value = "DeviceRealtimedataMeteorology",description = "气象设备实时数据 iot_device_realtimedata_meteorology")
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("iot_device_realtimedata_meteorology")
public class DeviceRealtimedataMeteorology extends BaseEntity
        {
private static final long serialVersionUID = 1L;

    /** 节点编号 */
    private Long nodeId;

    /** 节点名称 */
            @Excel(name = "节点名称")
            @ApiModelProperty("节点名称")
    private String nodeName;

    /** 节点类型 -- 节点类型 --1:模拟量1使能模拟量2使能 --2:模拟量1使能模拟量2禁用  --3:模拟量1禁用模拟量2使能 --4:浮点型设备--5:开关量型设备 --6:32位有符号整形   --7:32位无符号整形--8:遥调设备 */
            @Excel(name = "节点类型 -- 节点类型 --1:模拟量1使能模拟量2使能 --2:模拟量1使能模拟量2禁用  --3:模拟量1禁用模拟量2使能 --4:浮点型设备--5:开关量型设备 --6:32位有符号整形   --7:32位无符号整形--8:遥调设备")
            @ApiModelProperty("节点类型 -- 节点类型 --1:模拟量1使能模拟量2使能 --2:模拟量1使能模拟量2禁用  --3:模拟量1禁用模拟量2使能 --4:浮点型设备--5:开关量型设备 --6:32位有符号整形   --7:32位无符号整形--8:遥调设备")
    private Long nodeType;

    /** 模拟量1名称 */
            @Excel(name = "模拟量1名称")
            @ApiModelProperty("模拟量1名称")
    private String temName;

    /** 模拟量1单位 */
            @Excel(name = "模拟量1单位")
            @ApiModelProperty("模拟量1单位")
    private String temUnit;

    /** 模拟量1原值 */
            @Excel(name = "模拟量1原值")
            @ApiModelProperty("模拟量1原值")
    private Long temValue;

    /** 模拟量1显示值 */
            @Excel(name = "模拟量1显示值")
            @ApiModelProperty("模拟量1显示值")
    private String temValueStr;

    /** 报警等级, -- 报警等级 --0:正常--1:超上限报警 --2:超下限报警  --3:开关闭合报警 --4:开关断开报警   --5:遥调报警 */
            @Excel(name = "报警等级, -- 报警等级 --0:正常--1:超上限报警 --2:超下限报警  --3:开关闭合报警 --4:开关断开报警   --5:遥调报警")
            @ApiModelProperty("报警等级, -- 报警等级 --0:正常--1:超上限报警 --2:超下限报警  --3:开关闭合报警 --4:开关断开报警   --5:遥调报警")
    private Long temAlarmStatus;

    /** 模拟量2名称 */
            @Excel(name = "模拟量2名称")
            @ApiModelProperty("模拟量2名称")
    private String humName;

    /** 模拟量2单位 */
            @Excel(name = "模拟量2单位")
            @ApiModelProperty("模拟量2单位")
    private String humUnit;

    /** 模拟量2原值 */
            @Excel(name = "模拟量2原值")
            @ApiModelProperty("模拟量2原值")
    private Long humValue;

    /** 模拟量2显示值 */
            @Excel(name = "模拟量2显示值")
            @ApiModelProperty("模拟量2显示值")
    private String humValueStr;

    /** 报警等级 , --0:正常   --1:超上限报警  --2:超下限报警 */
            @Excel(name = "报警等级 , --0:正常   --1:超上限报警  --2:超下限报警")
            @ApiModelProperty("报警等级 , --0:正常   --1:超上限报警  --2:超下限报警")
    private Long humAlarmStatus;

}
