package com.fastbee.deviceData.service;

import java.util.List;
import com.fastbee.deviceData.domain.DeviceRealtimedataMeteorology;

/**
 * 气象设备实时数据Service接口
 * 
 * @author kerwincui
 * @date 2024-11-08
 */
public interface IDeviceRealtimedataMeteorologyService 
{
    /**
     * 查询气象设备实时数据
     * 
     * @param nodeId 气象设备实时数据主键
     * @return 气象设备实时数据
     */
    public DeviceRealtimedataMeteorology selectDeviceRealtimedataMeteorologyByNodeId(Long nodeId);

    /**
     * 查询气象设备实时数据列表
     * 
     * @param deviceRealtimedataMeteorology 气象设备实时数据
     * @return 气象设备实时数据集合
     */
    public List<DeviceRealtimedataMeteorology> selectDeviceRealtimedataMeteorologyList(DeviceRealtimedataMeteorology deviceRealtimedataMeteorology);

    /**
     * 新增气象设备实时数据
     * 
     * @param deviceRealtimedataMeteorology 气象设备实时数据
     * @return 结果
     */
    public int insertDeviceRealtimedataMeteorology(DeviceRealtimedataMeteorology deviceRealtimedataMeteorology);

    /**
     * 修改气象设备实时数据
     * 
     * @param deviceRealtimedataMeteorology 气象设备实时数据
     * @return 结果
     */
    public int updateDeviceRealtimedataMeteorology(DeviceRealtimedataMeteorology deviceRealtimedataMeteorology);

    /**
     * 批量删除气象设备实时数据
     * 
     * @param nodeIds 需要删除的气象设备实时数据主键集合
     * @return 结果
     */
    public int deleteDeviceRealtimedataMeteorologyByNodeIds(Long[] nodeIds);

    /**
     * 删除气象设备实时数据信息
     * 
     * @param nodeId 气象设备实时数据主键
     * @return 结果
     */
    public int deleteDeviceRealtimedataMeteorologyByNodeId(Long nodeId);
}
